Name:          blueman
Version:       2.3.5
Release:       1mamba
Summary:       A GTK+ Bluetooth Manager
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/blueman-project/blueman
Source:        https://github.com/blueman-project/blueman.git/%{version}/blueman-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbluetooth-devel
BuildRequires: libglib-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
Requires:      bluez
Requires:      pycairo-py3

%description
Blueman is a GTK+ Bluetooth Manager designed to provide a simple yet effective means for controlling the BlueZ API and simplifying Bluetooth tasks, such as:
Connecting to 3G/EDGE/GPRS via dial-up
Connecting to / Creating Bluetooth networks
Connecting to input devices
Connecting to audio devices
Sending / Receiving files via OBEX
Pairing

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun blueman-mechanism
:

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%systemd_post blueman-mechanism
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%systemd_postun blueman-mechanism
:

%files -f %{name}.lang
%defattr(-,root,root)
#%{_sysconfdir}/dbus-1/system.d/org.blueman.Mechanism.conf
%{_sysconfdir}/xdg/autostart/blueman.desktop
%{_bindir}/blueman-adapters
%{_bindir}/blueman-applet
#%{_bindir}/blueman-assistant
%{_bindir}/blueman-manager
#%{_bindir}/blueman-report
%{_bindir}/blueman-sendto
%{_bindir}/blueman-services
%{_bindir}/blueman-tray
%{_unitdir}/blueman-mechanism.service
%{_userunitdir}/blueman-applet.service
%{_userunitdir}/blueman-manager.service
%{_libexecdir}/blueman-mechanism
%{_libexecdir}/blueman-rfcomm-watcher
%{_datadir}/Thunar/sendto/thunar-sendto-blueman.desktop
%{_datadir}/applications/blueman-adapters.desktop
%{_datadir}/applications/blueman-manager.desktop
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_datadir}/polkit-1/rules.d/blueman.rules
%dir %{_datadir}/blueman
#%{_datadir}/blueman/pin-code-database.xml
%dir %{_datadir}/blueman/ui
%{_datadir}/blueman/ui/*.ui
%{_datadir}/dbus-1/services/org.blueman.Applet.service
%{_datadir}/dbus-1/system-services/org.blueman.Mechanism.service
%dir %{_datadir}/doc/blueman
%{_datadir}/doc/blueman/*
%{_datadir}/dbus-1/services/org.blueman.Manager.service
%{_datadir}/dbus-1/system.d/org.blueman.Mechanism.conf
%{_datadir}/glib-2.0/schemas/org.blueman.gschema.xml
%dir %{python3_sitelib}/blueman
%{python3_sitelib}/blueman/*
%{python3_sitearch}/_blueman.*
%{_datadir}/icons/hicolor/*/apps/blueman.png
%{_datadir}/icons/hicolor/*/devices/blueman-device.png
%{_datadir}/icons/hicolor/*/status/blueman*.png
%{_datadir}/icons/hicolor/scalable/actions/blueman-*.svg
%{_datadir}/icons/hicolor/scalable/apps/blueman.svg
%{_datadir}/icons/hicolor/scalable/devices/blueman*.svg
%{_datadir}/icons/hicolor/scalable/emblems/blueman-*.svg
%{_datadir}/icons/hicolor/scalable/status/blueman*.svg
%dir %{_datadir}/blueman/pixmaps
%{_datadir}/blueman/pixmaps/*.png
%{_mandir}/man1/blueman*.1*
%doc COPYING

%changelog
* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 2.3.5-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Mon Aug 01 2022 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Mon Jul 18 2022 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Sat Aug 07 2021 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Sat Jun 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- update to 2.2.1

* Thu Jan 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-1mamba
- package created using the webbuild interface
